Ionic Native Spinner Dialog Not working

console.warn: Native: tried calling SpinnerDialog.show, but the SpinnerDialog plugin is not installed.
console.warn: Install the SpinnerDialog plugin: 'ionic cordova plugin add cordova-plugin-native-spinner'

Installed ionic native spinner dialog but it shows above the error.

cli packages: (C:\Users\DuraiMalar\AppData\Roaming\npm\node_modules)

    @ionic/cli-utils  : 1.19.2
    ionic (Ionic CLI) : 3.20.0

global packages:

    cordova (Cordova CLI) : 8.0.0

local packages:

    @ionic/app-scripts : 3.1.8
    Cordova Platforms  : android 7.0.0
    Ionic Framework    : ionic-angular 3.9.2

System:

    Android SDK Tools : 26.0.2
    Node              : v9.11.1
    npm               : 5.3.0
    OS                : Windows 10

Help me guys,
Thanks,
Mani

Try to remove platforms directory and add the platform again

am tried, but its shows the above error?

Did you get solved ? i am facing same issue…other native plugins are working. Just spinner dialog is not working with same error like yours.

Try adding it again after npm cache clean -f